PHP kézikönyv
Előző |  | Következő

# filter_var

(no version information, might be only in CVS)

filter_var -- Filters a variable with a specified filter

## Leírás

mixed filter_var ( mixed variable [, int filter [, mixed options]] )

Figyelem
Ez a függvény KÍSÉRLETI JELLEGGEL MŰKÖDIK. A függvény működése, neve, bármi amit a függévénnyel kapcsolatban dokumentáltunk megváltozhat egy későbbi PHP kiadásban minden figyelmeztetés nélkül. Ezt a függvényt csak a saját felelősségedre használd!

## Paraméterek

variable

  Value to filter, arrays are filtered recursively.

filter

  ID of a filter to use. Defaults to `FILTER_SANITIZE_STRING`.

options

  Associative array of options or bitwise disjunction of flags. If filter accepts options, flags can be provided in "flags" field of array. For the "callback" filter, callback type should be passed.

## Visszatérési értékek

Returns the filtered data, or `FALSE` if the filter fails.

## Példák

Példa 1. A filter_var() example

`<?php var_dump(filter_var('bob@example.com', FILTER_VALIDATE_EMAIL)); var_dump(filter_var('example.com', FILTER_VALIDATE_URL, FILTER_FLAG_SCHEME_REQUIRED)); ?>`

A fenti példa a következő kimenetet adja:

    string(15) "bob@example.com"
    bool(false)

## Lásd még

filter_var_array()
filter_input()
filter_input_array()
a visszahívható (callback) típusról szóló bejegyzést

Előző | Tartalom | Következő
filter_var_array | Fel | Firebird/InterBase Functions